/*
     This file is part of GNUnet.
     (C) 2001, 2002, 2003, 2004, 2005 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
     Boston, MA 02110-1301, USA.
*/

/**
 * @file util/win/winproc.c
 * @brief Functions for MS Windows
 * @author Nils Durner
 * @note This file differs from GNUnet's winproc.c
 */

#include "platform.h"

#ifdef MINGW

/**
 * Initialize PlibC and set up Windows environment
 * @return Error code from winerror.h, ERROR_SUCCESS on success
*/
void InitWinEnv()
{
	plibc_init("GNU", PACKAGE);
}

/**
 * Clean up Windows environment
 */
void ShutdownWinEnv()
{
	plibc_shutdown();
}

#endif /* MINGW */

/* end of winproc.c */
